Logo

Docs

Songs

Get All Songs

Browse songs from the songs endpoint.

Endpoint

GET /songs

Endpoint reference: getSongs

Use this form when you want to browse songs instead of looking them up by ids, omm_ids, or isrc.

Query Parameters

Scoped parameters like view[...] and limit[...] can shape included relationships.

NameValuesRequired
langlocale string like en-USfalse
includealbums, artists, lyricsfalse
viewminimalfalse
view[songs]minimalfalse
view[albums]minimalfalse
view[artists]minimalfalse
limit1-25false
offset0+false
sortname, -name, date_released, -date_released, date_added, -date_addedfalse
filter[genres]comma-separated genresfalse
limit[albums]1-25false
limit[artists]1-25false

Responses

StatusContent TypeResponse
200 OKapplication/jsonSongListResponse
400 Bad Requestapplication/jsonErrorResponse

On this page